Subject: Re: bug#40590:

From: "Keyhenge" <[email-masked]>
Date: Tue, 14 Apr 2020 19:08:18 -0400

Progress! But not quite there yet.

>> It occured to me that the Samsung drive might have been 
>> corrupted at
>> some point, so I dd'd /dev/zero into the first few gigabytes of 
>> the
>> drive to completely wipe the partition table. Sure enough, it 
>> showed up
>> on the partitioning stage of the graphical installer and I was 
>> able get
>> all the way through to the end... except for the same 
>> efibootmgr error.
>
> Ok! So it seems that the additional patch is improving the 
> situation. I
> also fear that 1.1.0-rc2 is having the same error as 1.0.1 but 
> is
> swallowing it. I will investigate it further.
>
> Regarding the efibootmgr error, I'm not really familiar with 
> EFI. Can
> you check that efivarfs is mounted as suggested here[1]?
>
> [1]:
> https://unix.stackexchange.com/questions/379774/grub-installation-failed

Followed the advice on the SE answer, specifically:
$ mount -t efivarfs efivarfs /sys/firmware/efi/efivars
$ rm /sys/firmware/efi/efivars/dump-*
And it successfully installed!.. sort of.

Guix now boots to this screen[1] and then hard freezes.

Just in case its relevant, I did the installation twice (both 
through
TTY in order to run the mount/rm commands):
1. 2 partitions, boot and encrypted root w/ swapfile, using 
desktop.scm
as a base
2. 3 partitions, boot, root, and a swap partition, using
lightweight-desktop.scm as a base
Both had the same results.

[1]:
https://imgur.com/lGWmzfL